package com.td.boss.game.complayergoods.service;

import com.td.boss.common.service.*;
import com.td.boss.game.complayergoods.pojo.ComPlayerGoods;
import com.td.boss.game.complayergoods.vo.ComPlayerGoodsVo;

import java.util.List;

public interface ComPlayerGoodsService extends CommonService<ComPlayerGoodsVo, ComPlayerGoods, String> {

    /**
     * 向背包添加一个物品
     * @param comPlayerGoods
     * @return
     */
    ComPlayerGoods addComPlayerGoods(ComPlayerGoods comPlayerGoods);

    /**
     * 寻找玩家的背包数据
     * @return
     */
    ComPlayerGoods findById(String goodsId);

    List<ComPlayerGoods> findAllByPlayerId(Integer playerId);


    ComPlayerGoods findByPlayerIdAndGoodsIndexAndIsWear(Integer playerId,Integer goodsIndex,Integer isWear);
}
